package com.ypsx.yppos.viewmodel.state

import android.view.View
import androidx.databinding.ObservableInt
import com.ypsx.base.base.viewmodel.BaseViewModel
import com.ypsx.base.callback.databind.BooleanObservableField
import com.ypsx.base.callback.databind.StringObservableField

class PayAmountViewModel : BaseViewModel() {

    var amount = StringObservableField()

    var payTitle = StringObservableField()


    var payTips = StringObservableField()

    var tipsShow = BooleanObservableField(true)

    var timeText = StringObservableField()



    var tipsVisible = object : ObservableInt(tipsShow) {
        override fun get(): Int {
            return if (tipsShow.get()) {
                View.VISIBLE
            } else {
                View.GONE
            }
        }
    }

    var tipsVisible2 = object : ObservableInt(tipsShow) {
        override fun get(): Int {
            return if (tipsShow.get()) {
                View.GONE
            } else {
                View.VISIBLE
            }
        }
    }




}